Full name: projects.locations.instances.caseTagDefinitions.import
Imports CaseTagDefinitions from a CSV file. Use this method to bulk-upload multiple classification rules. Supports overriding existing records based on matching criteria or importing new records only. Format: Tag Name, Filter Name, Priority, Type, Comparison Type
HTTP request
POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/caseTagDefinitions:import Path parameters
| Parameters | |
|---|---|
parent |
Required. The instance into which CaseTagDefinitions should be imported. Format: projects/{project}/locations/{location}/instances/{instance}/caseTagDefinitions |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "content": string, "overrideExistingRecords": boolean } |
| Fields | |
|---|---|
content |
Required. The CSV file content containing CaseTagDefinitions to import. A base64-encoded string. |
overrideExistingRecords |
Optional. Whether to override existing CaseTagDefinition records during import. |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseTagDefinitions.update
For more information, see the IAM documentation.